+++
title = "About me. 👋"
author = ["Zachary Billman"]
date = 2022-04-03
draft = false
weight = 1
+++

## Welcome to my site! {#welcome-to-my-site}

My name is Zachary Billman. I'm an MD-PhD student at UNC Chapel Hill in Ed Miao's lab. The curious reader may be thinking: "But Zach, Ed Miao's lab is at Duke now! What does that make you?" What an astute question! I am a card-carrying UNC Microbiology and Immunology student who happens to have all of their research take place at Duke.
{{% sidenote %}}
This move was quite a trial, especially when compounded with the onset of the pandemic. I suspect my research timeline suffered, though this is an extremely minor inconvenience compared to the tragedy the pandemic caused.
{{% /sidenote %}} This makes for very interesting basketball viewing parties with my Duke friends!


## My research and scientific interests. {#my-research-and-scientific-interests-dot}

I am broadly interested in innate immunology. I am in the 4th year of my PhD studying the host-pathogen interaction between the intracellular fungus _Histoplasma capsulatum_ and macrophages. There are many unstudied curiosities regarding the innate immune response to _Histoplasma spp._ and other intracellular fungi that I think are quite interesting. Stay tuned, hopefully there is a major breakthrough to report here someday.


## Hobbies I may write about. {#hobbies-i-may-write-about-dot}

Besides my science, I am interested in birding, baking sourdough bread (I swear I began years before the pandemic, though hearing of people baking bread brings me joy no matter when they first began!), board games, roasting coffee, and self-hosting free and open source software. Over the course of the pandemic, I have learned how to maintain a basic suite of services on a server I rent that have replaced my need for Google Photos and Google Drive.
{{% sidenote %}}
I'm hoping to be able to move away from these platforms entirely soon. I think they provide a great service, but at a substantial cost to privacy. Hopefully more to be said about my thoughts on FOSS soon!
{{% /sidenote %}} I also transitioned my old, (and quite frankly, embarassingly slow) managed Wordpress site with this lean, static site made in Hugo that I host myself. Now that I have mangled together some CSS to get my precious sidenotes up and running again, I'm ready to begin putting some ideas to paper.
{{% sidenote %}}
I love marginalia. I'm not sure if this is unique to me, but I seem to get caught up in parenthetical / tangential thoughts very often, and I think using an [Edward Tufte-esque](https://www.edwardtufte.com/bboard/q-and-a-fetch-msg?msg_id=0000ld) sidenote is a great way for me to communicate in this way without distracting the reader too much. It seems[ marginalia](https://en.wikipedia.org/wiki/Marginalia) such as this have been used throughout history, so perhaps it is normal, but most people can keep their thoughts focused better than me. The implementation I use is inspired by the [Tufte CSS project](https://github.com/edwardtufte/tufte-css) and largely taken from [this incredibly helpful post found at scripter.co](https://scripter.co/sidenotes-using-only-css/).
{{% /sidenote %}} I'm quite proud of my progress in administering my server and self-hosting useful services.


## The future of this site. {#the-future-of-this-site-dot}

On this site I plan to post updates about my journey through med school, grad school, and self-hosting I would like to share with the world. I have been helped immensely by many others' advice and I hope to impart similar tips to others someday. I suspect most posts will be about much lighter fare, like whatever hobbies tickle my fancy at the time.
