+++
title = "Roasting coffee at home. ☕"
author = ["Zachary Billman"]
date = 2022-07-14
tags = ["coffee"]
categories = ["coffee"]
draft = false
+++

I, like many others, picked up a new hobby during the pandemic. Other people's hobbies may bring them joy. This could be for many reasons. There is the joy of creating something from scratch. You can revel in your thriftiness. You can embrace the pride when you recognize that your creation is on par (or better!) than what you can buy. I feel like these are embodied in the sourdough craze that caught fire early on in COVID.
{{% sidenote %}}
Dare I say that I did this before it was cool? :sunglasses: I baked two loaves of bread almost every weekend through med school. Maybe I should bring that back, it's been a while since I brought out the ole' starter.
{{% /sidenote %}} My pandemic hobby is similar, but different in that it often feels like a chore, costs more money, and often turns out worse than what I can buy. Of course, I am talking about how I've started roasting my own coffee at home.

I'm not sure where this idea was planted into my brain. I don't think I know anyone who roasts their own beans, and I certainly didn't know how. I didn't even drink coffee regularly until after college! I guess that extra time on the computer sent me down a rabbithole I have yet to emerge from.

First, I want to preface the following with a disclaimer: This is not a detailed guide about how to roast your own coffee. If you are interested, I recommend checking out the [How To Roast Your Own Coffee guide at Sweet Maria's](https://library.sweetmarias.com/how-to-roast-your-own-coffee/) as a starting point. There is also the /r/roasting subreddit if that is your cup of tea. My only warning is **there will be a lot of smoke**. Roast your coffee outside, for Pete's sake!

It all started with a trusty popcorn popper. There are a few things you want when you roast coffee:

1.  Air hot enough to roast coffee
2.  Remove the chaff from the beans

Turns out that a classic popcorn popper fits the bill, as long as it has an upwards airflow and doesn't let the chaff fall into the heating element. There is a bit of a cult following for the [West Bend Poppery 2 model](https://www.ebay.com/sch/i.html?_from=R40&_trksid=p2334524.m570.l1313&_nkw=west+bend+poppery+ii+82102&_sacat=0&LH_TitleDesc=0&_odkw=west+bend+poppery+ii+82102&_osacat=0), but that one seemed a bit pricey, so I settled for [a very capable popper from Nostalgia](https://nostalgiaproducts.com/collections/popcorn/products/aph200red).

{{< figure src="./images/popcorn-popper.webp" caption="<span class=\"figure-number\">Figure 1: </span>I got a good bit of milage out of my popcorn popper. If you are interested in roasting your own coffee I would give it a whirl." link="./images/popcorn-popper.webp" >}}

Things were simple back then. I still bought most of the coffee I drank, but I roasted enough to enjoy some freshly roasted coffee as an occasional treat. I ordered 10 pounds of green beans from Sweet Maria's and life was good.

Then I became a bit of a coffee snob.

I could only roast 100 grams of coffee at a time in the popcorn popper, which is only enough for one pot of coffee in the morning for me. So it was time to upgrade.

I bought the [SR800 fluid bed roaster](https://www.sweetmarias.com/fresh-roast-sr800.html), which upped my roasting capacity and gave me finer control on temperature and airflow. Suffice to say my roasts improved a lot! At this point, I would consider my coffee good enough to sell at a farmer's market to break even.

If you ever find yourself on a coffee roasting forum and bring up the SR800, someone is bound to bring up the [famous RazzoRoasting extension tube](https://www.etsy.com/shop/RazzoRoasting?ref=simple-shop-header-name&listing_id=1105001328). If you look for advice for how to use the SR800, I swear it's assumed that you have this very specific accessory. ...And so I bought one.

Don't worry, that is the extent of all of my coffee spending (for now). I am a very satisfied coffee roaster now. Check out this quick series of images going from the green beans to a nearly finished product! I can spend about 45 minutes and go from nothing to nearly 2 pounds of roasted beans, enough for about a week and a half of coffee. Not bad! The only downside is that now I feel like I need to buy coffee from local roasters to get my fix. There are certainly crueler fates.

{{< gallery match="images/sr800/*" sortOrder="asc" rowHeight="150" margins="5" thumbnailResizeOptions="600x600 q90 Lanczos" showExif=true previewType="blur" embedPreview="true" >}}

As a sign off, I will share something that surprised me about coffee roasting. When I roast coffee, the most important cue to determine if the coffee is roasted is the _sound_. That's right, not the color, not the smell, but the sound. When heating up a coffee bean, the water trapped inside eventually bursts out of the bean in a rapid expansion. This is called "first crack", and indicates that the coffee is roasted enough to be drinkable. The expansion also releases the chaff from the bean. If you continue heating up the bean, you will eventually reach "second crack". I think a solid medium roast is taken out just before second crack, so I try to take my coffee out to this point and it hasn't proved me wrong yet.

Happy coffee-ing! :coffee:
