+++
title = "Using RSS feeds to keep on top of science."
author = ["Zachary Billman"]
date = 2022-07-13
tags = ["science"]
categories = ["science"]
draft = false
+++

It is an age-old question: how can one keep up with the continuous output of science? I remember at the beginning of my PhD struggling to figure out how anyone found out when a new paper came out. :dizzy_face: Did they sit on nature.com and spam the refresh button? Did they know when each journal released their latest issue?


## Behold the power of RSS! {#behold-the-power-of-rss}

Most websites have a page that contains information about each subpage in a computer-readable format called RSS (Really Simple Syndication). [Mine has one right here!](https://zacharybillman.com/index.xml) These pages can be parsed by a number of RSS feed aggregators. The way these pages are set up make it such that they add any new information hosted at that domain. This is useful in the science world because you can find the RSS feed of a given journal, subscribe to it, then have every new article published online be delivered right to you.

There are a plethora of RSS feed aggregators you can pick from manage your feeds. I have previously used [Feedly](https://feedly.com/) and [Inoreader](https://www.inoreader.com/), which are great free solutions, but have moved on to selfhosting my own instance of [FreshRSS](https://www.freshrss.org/).

After making an account at your friendly local RSS feed aggregator, you can add whatever feeds your heart desires. To find a journal's rss feed, I often just search "$JOURNAL_NAME rss feed" and poke around until I find something that looks right. Most of the aggregators will test the feed out first to make sure that you are trying to add a legitimate one. Here are a few of the heavy hitters to get you started:

1.  <http://feeds.nature.com/nature/rss/current>
2.  <https://www.science.org/rss/express.xml>
3.  <https://www.cell.com/cell/inpress.rss>

Nothing like a constant stream of Cell, Science, and Nature to make your project feel like a real winner, eh?

Here is what my own site looks like.

<a id="figure--feed1"></a>

{{< figure src="./images/feed1.webp" caption="<span class=\"figure-number\">Figure 1: </span>My current FreshRSS setup. On the left I have my feeds separated into folders. In the middle you can see the titles of papers that appear in my feed." link="./images/feed1.webp" >}}

And after I hit `J` to move to the first item in the feed.

<a id="figure--feed2"></a>

{{< figure src="./images/feed2.webp" caption="<span class=\"figure-number\">Figure 2: </span>With a title selected, you can see the abstract and authors." link="./images/feed2.webp" >}}

After collecting all of your desired RSS feeds, you cannot forego your responsibility of actually reading them! Most RSS feed aggregators have shortcuts to move through titles quickly (Typically `J` to move on to the next one and `K` to move up.)
{{% sidenote %}}
They always seem to use [vi keybindings](https://hea-www.harvard.edu/~fine/Tech/vi.html). A bunch of computer nerds have really cornered the keybinding market. I have let them take over my computing life.
{{% /sidenote %}} Each morning when I get into the lab, I quickly set up something, then head to my desk to hit `J` until the counter reaches zero.


## But what about my very specific field? {#but-what-about-my-very-specific-field}

You can subscribe to all of the journals you want, but that doesn't make the papers with your specific interests pop out. Fortunately, the NIH has this _exact_ circumstance in mind.

When you make a new search on PubMed you might notice the "Create RSS" button. Give it a click, then you will have a personal link you can add to your favorite RSS feed aggregator.

<a id="figure--feed3"></a>

{{< figure src="./images/feed3.webp" caption="<span class=\"figure-number\">Figure 3: </span>Somehow I never noticed this button until I needed it." link="./images/feed3.webp" >}}

This changed the game for me for keeping up with papers. Unfortunately, it doesn't solve the problem of library management, or actually getting around to reading the papers you care about. I will leave library management as an exercise for the interested reader.
{{% sidenote %}}
Here's a tip, the best solution uses the [Zotero citation manager](https://www.zotero.org/). Bonus points for using [Zotfile for renaming your PDFs](http://zotfile.com/) and [Better BibTex for Zotero](https://retorque.re/zotero-better-bibtex/). :wink:
{{% /sidenote %}} I hope this helps you get your eyeballs on that science you crave. If you have solved the problem of accruing papers to read faster than you read them, let me know.
